using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class RadGridTemplateColumnHeaderTooltip : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void RadGrid1_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        this.RadGrid1.DataSource = GetData();
    }

    private DataTable GetData()
    {
        DataTable dataTable = new DataTable();

        dataTable.Columns.Add("Name");
        dataTable.Columns.Add("Age");

        dataTable.Rows.Add("Name1", 1);
        dataTable.Rows.Add("Name2", 2);
        dataTable.Rows.Add("Name3", 3);
        dataTable.Rows.Add("Name4", 4);
        dataTable.Rows.Add("Name5", 5);
        dataTable.Rows.Add("Name6", 6);

        return dataTable;
    }
}